import { OnInit, AfterViewChecked, ElementRef, AfterViewInit } from '@angular/core';
export declare class DoubleScrollComponent implements OnInit, AfterViewInit, AfterViewChecked {
    private static compCount;
    private ourId;
    className: string;
    scrollTarget: ElementRef;
    scrollTargetContent: ElementRef;
    scrollSource: ElementRef;
    scrollSourceContent: ElementRef;
    private resizeCallback;
    readonly scrollTargetId: string;
    readonly scrollTargetContentId: string;
    readonly scrollSourceId: string;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    initDoubleScroll(containerId1: string, contentId1: string, containerId2: string): () => void;
}
